Skip to main content

Calendar Search Events

Snapshot Catalog Entry

This page is generated from broker tools/list snapshot data.

POSTgoogle.calendar_search_events

Search events in a calendar with a query string.

Request Body

{
"jsonrpc": "2.0",
"id": "google-calendar-search-events-example",
"method": "tools/call",
"params": {
"name": "google.calendar_search_events",
"arguments": {
"query": "query_example",
"calendar_id": "calendar_id_123",
"time_min": "time_min_example",
"time_max": "time_max_example",
"max_results": 1,
"single_events": false,
"order_by": "order_by_example",
"fields": "fields_example",
"page_token": "page_token_example"
}
}
}

Arguments Schema

{
"properties": {
"query": {
"type": "string"
},
"calendar_id": {
"type": "string"
},
"time_min": {
"type": "string"
},
"time_max": {
"type": "string"
},
"max_results": {
"type": "integer"
},
"single_events": {
"type": "boolean"
},
"order_by": {
"type": "string"
},
"fields": {
"type": "string"
},
"page_token": {
"type": "string"
}
},
"required": [
"query"
],
"type": "object"
}

Code Examples

curl -X POST 'https://madpanda3d.com/lab/mad-mcps/portal/api/mcp' \
-H 'Authorization: Bearer mad_live_***' \
-H 'Content-Type: application/json' \
-d '{
"jsonrpc": "2.0",
"id": "google-calendar-search-events-example",
"method": "tools/call",
"params": {
"name": "google.calendar_search_events",
"arguments": {
"query": "query_example",
"calendar_id": "calendar_id_123",
"time_min": "time_min_example",
"time_max": "time_max_example",
"max_results": 1,
"single_events": false,
"order_by": "order_by_example",
"fields": "fields_example",
"page_token": "page_token_example"
}
}
}'

Example Responses

{
"ok": true,
"message": "Tool google.calendar_search_events executed successfully.",
"note": "Response shape varies by MCP tool. Inspect live responses for exact fields."
}